# std::__numpunct_cache< _CharT > Struct Template Reference

Inheritance diagram for std::__numpunct_cache< _CharT >:

List of all members.

## Detailed Description

### template<typename _CharT>
struct std::__numpunct_cache< _CharT >

Definition at line 1591 of file locale_facets.h.

## Public Member Functions

- __numpunct_cache (size_t __refs=0)
- void _M_cache (const locale &__loc)
- ~__numpunct_cache ()

## Public Attributes

- bool _M_allocated
- _CharT _M_atoms_in [__num_base::_S_iend]
- _CharT _M_atoms_out [__num_base::_S_oend]
- _CharT _M_decimal_point
- const _CharT * _M_falsename
- size_t _M_falsename_size
- const char * _M_grouping
- size_t _M_grouping_size
- _CharT _M_thousands_sep
- const _CharT * _M_truename
- size_t _M_truename_size
- bool _M_use_grouping

## Static Protected Member Functions

- static __c_locale _S_clone_c_locale (__c_locale &__cloc)
- static void _S_create_c_locale (__c_locale &__cloc, const char *__s, __c_locale __old=0)
- static void _S_destroy_c_locale (__c_locale &__cloc)
- static __c_locale _S_get_c_locale ()
- static const char * _S_get_c_name ()

## Friends

- class locale::_Impl

The documentation for this struct was generated from the following files:

- locale_facets.h
- locale_facets.tcc